******************************************************************
*  Part of CPYTH package, interface between COMPHEP and PYTHIA   *
*		    Monte-Carlo generators			 *
******************************************************************
*  authors:  S.Balatenyshev,A.Sherstnev 			 *
*  version:  2.0.01						 *
*  date:    28.07.2002  					 *
******************************************************************
	INTEGER*8 TAG_NUM,COM_NUM,COM_LEN,TAGN_LEN,MAXINOUT,MAXPUP1 
	PARAMETER (TAG_NUM  = 5000 )
	PARAMETER (COM_NUM  = 50   )
	PARAMETER (COM_LEN  = 100  )
	PARAMETER (TAGN_LEN = 50   )
	PARAMETER (MAXINOUT = 10   )
	PARAMETER (MAXPUP1  = 100  )
	
	INTEGER*8 comnum
	INTEGER*8 tagnum
	CHARACTER TAGNAME*(TAGN_LEN)
	CHARACTER COMMAND*(COM_LEN)
	CHARACTER VALUE*(COM_LEN)
	
	COMMON/TAGS/TAGNUM,TAGNAME(TAG_NUM),comnum(TAG_NUM),
     &	            command(TAG_NUM,COM_NUM),value(TAG_NUM,COM_NUM)
        SAVE/TAGS/

******************************************************************
*...
	INTEGER IP,KF,TIME,SPIN,NPART,Q,COLORH,NL
	REAL*8 MASS,QCDL

	COMMON/FRMT/IP(MAXPUP1,MAXINOUT,3),TIME(MAXPUP1,MAXINOUT),
     &              SPIN(MAXPUP1,MAXINOUT),MASS(MAXPUP1,MAXINOUT),
     &              QCDL(MAXPUP1),KF(MAXPUP1,MAXINOUT),NPART(MAXPUP1),
     &              Q(MAXPUP1),COLORH(MAXPUP1),NL(MAXPUP1)
        SAVE/FRMT/

******************************************************************
*...
	CHARACTER EV*(COM_LEN)
	COMMON/EVSTR/EV(0:COM_NUM)
	SAVE/EVSTR/

	INTEGER ISMEAR
	COMMON/ISMEAR/ISMEAR
        SAVE/ISMEAR/
	
	INTEGER IS,IST,NEVPY
	COMMON/INPARM/IS,IST,NEVPY
	SAVE/INPARM/
