/*$Log */
#include "chep_crt.h"

#include "os.h"
#include "files.h"

char *outputDir = "";
char pathtocomphep[STRSIZ], _pathtocomphep[STRSIZ];
char version[36] = "CompHEP version 4.2.0pre9  ";

void 
copyfile (char *namefrom, char *nameto)
{

  FILE *filefrom;
  FILE *fileto;
  const int _blocksize = 1024;
  char s[_blocksize];
  int size;
  filefrom = fopen (namefrom, "rb");
  fileto = fopen (nameto, "wb");
  if ((filefrom == NULL) || (fileto == NULL))
    return;

  do
    {
      size = fread (s, 1, _blocksize, filefrom);
      fwrite (s, 1, size, fileto);
    }
  while (size == _blocksize && size != 0);

  fclose (fileto);
  fclose (filefrom);
  return;
}

void 
nextFileName (char *f_name, char *firstname, char *ext)
{
  int tabnum = 0;
  FILE *f;

  for (;;)
    {
      tabnum++;
      sprintf (f_name, "%s%s%d%s", outputDir, firstname, tabnum, ext);
      f = fopen (f_name, "r");
      if (f)
	fclose (f);
      else
	return;
    }
}
